clang-tools 10.0.0

Classes | Namespaces | Enumerations | Functions
SemanticHighlighting.h File Reference
`#include "Protocol.h"`
`#include "llvm/Support/raw_ostream.h"`
Include dependency graph for SemanticHighlighting.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | clang::clangd::HighlightingToken
struct | clang::clangd::LineHighlightings
| Contains all information about highlightings on a single line. More...

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Enumerations
enum | clang::clangd::HighlightingKind { clang::clangd::HighlightingKind::Variable = 0, clang::clangd::HighlightingKind::LocalVariable, clang::clangd::HighlightingKind::Parameter, clang::clangd::HighlightingKind::Function, clang::clangd::HighlightingKind::Method, clang::clangd::HighlightingKind::StaticMethod, clang::clangd::HighlightingKind::Field, clang::clangd::HighlightingKind::StaticField, clang::clangd::HighlightingKind::Class, clang::clangd::HighlightingKind::Enum, clang::clangd::HighlightingKind::EnumConstant, clang::clangd::HighlightingKind::Typedef, clang::clangd::HighlightingKind::DependentType, clang::clangd::HighlightingKind::DependentName, clang::clangd::HighlightingKind::Namespace, clang::clangd::HighlightingKind::TemplateParameter, clang::clangd::HighlightingKind::Primitive, clang::clangd::HighlightingKind::Macro, clang::clangd::HighlightingKind::InactiveCode, clang::clangd::HighlightingKind::LastKind = InactiveCode }

## Functions
llvm::raw_ostream & | clang::clangd::operator<< (llvm::raw_ostream &OS, HighlightingKind K)
bool | clang::clangd::operator== (const HighlightingToken &L, const HighlightingToken &R)
bool | clang::clangd::operator< (const HighlightingToken &L, const HighlightingToken &R)
bool | clang::clangd::operator== (const LineHighlightings &L, const LineHighlightings &R)
std::vector< HighlightingToken > | clang::clangd::getSemanticHighlightings (ParsedAST &AST)
llvm::StringRef | clang::clangd::toTextMateScope (HighlightingKind Kind)
| Converts a HighlightingKind to a corresponding TextMate scope (https://manual.macromates.com/en/language_grammars). More...
std::vector< SemanticHighlightingInformation > | clang::clangd::toSemanticHighlightingInformation (llvm::ArrayRef< LineHighlightings > Tokens)
| Convert to LSP's semantic highlighting information. More...
std::vector< LineHighlightings > | clang::clangd::diffHighlightings (ArrayRef< HighlightingToken > New, ArrayRef< HighlightingToken > Old)
| Return a line-by-line diff between two highlightings. More...